Page MenuHomePhabricator

Create a new gradle flavor for custom app builds
Closed, ResolvedPublic

Description

Additionally to the already existing gradle flavors, a new flavor for custom app builds would allow us (or anyone else) to have a build of the app for third-party MediaWiki sites, where, e.g., dev settings are pre-set to something that matches the needs of a third-party site.

Event Timeline

Florian created this task.May 19 2017, 3:58 PM
Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptMay 19 2017, 3:58 PM
Nark0 claimed this task.May 19 2017, 4:25 PM

Change 354750 had a related patch set uploaded (by Nark0; owner: Nark0):
[apps/android/wikipedia@master] Added MediaWiki flavour.

https://gerrit.wikimedia.org/r/354750

Nark0 closed this task as Resolved.May 22 2017, 10:40 AM
bearND reopened this task as Open.May 22 2017, 10:41 AM

Let's keep it open until the code is merged.

Oh, sorry about it! Thanks!

@Nark0 No worries. :)

Change 386551 had a related patch set uploaded (by Dbrant; owner: Nark0):
[apps/android/wikipedia@generic_mediawiki] Added MediaWiki flavour

https://gerrit.wikimedia.org/r/386551

Change 354750 abandoned by Dbrant:
Added MediaWiki flavour

Reason:
Moved to https://gerrit.wikimedia.org/r/386551

https://gerrit.wikimedia.org/r/354750

Change 386551 merged by jenkins-bot:
[apps/android/wikipedia@generic_mediawiki] Added MediaWiki flavour

https://gerrit.wikimedia.org/r/386551

Aklapper closed this task as Resolved.Jul 20 2019, 5:20 PM

Patch has been merged. Assuming this task is fixed.

If there are more things to do in this task, please set the status of this report back to "Open" via the Add Action...Change Status dropdown. Thanks!